import { Processor, ProcessOptions } from "postcss";
import postcssrc from "postcss-load-config";
import Settings from "./settings";
export default class Parser {
    protected readonly settings: Settings;
    protected readonly processor: Processor;
    protected readonly postcssOptions: ProcessOptions;
    constructor(settings: Settings);
    parse(filename: string): ReadonlySet<string>;
    protected loadConfig(): Pick<ReturnType<typeof postcssrc.sync>, "plugins" | "options">;
    private convertClassNames;
    private convertDashesToCamelCase;
}
